"use client";

import { usePathname, useRouter } from "next/navigation";

export default function Pagination({
  numberOfPages,
  pageNumber,
}: {
  numberOfPages: number;
  pageNumber: number;
}) {
  const router = useRouter();
  const pathname = usePathname();
  const setPageNumber = (page: number) => {
    router.push(
      pathname + "?" + new URLSearchParams({ page: page.toString() })
    );
  };

  if (numberOfPages <= 1) {
    return null;
  }

  return (
    <div
      style={{
        display: "flex",
        justifyContent: "center",
        marginTop: "1rem",
        gap: "0.5rem",
        fontSize: "0.9rem",
      }}
    >
      {Array.from({ length: numberOfPages }, (_, i) => (
        <span
          key={i + 1}
          style={{
            width: "0.5rem",
            padding: "0.5rem",
            cursor: "pointer",
            backgroundColor: pageNumber === i + 1 ? "#333" : "#eee",
            color: "#222",
            justifyContent: "center",
            display: "flex",
          }}
          onClick={() => setPageNumber(i + 1)}
        >
          {i + 1}
        </span>
      ))}
    </div>
  );
}
